PHP Manual
Prev |  | Next

# imap_alerts

(PHP 3 >= 3.0.12, PHP 4, PHP 5)

imap_alerts -- Returns all IMAP alert messages that have occurred

## Description

array imap_alerts ( void )

Returns all of the IMAP alert messages generated since the last imap_alerts() call, or the beginning of the page.

When imap_alerts() is called, the alert stack is subsequently cleared. The IMAP specification requires that these messages be passed to the user.

## Return Values

Returns an array of all of the IMAP alert messages generated or `FALSE` if no alert messages are available.

## See Also

imap_errors()

Prev | Home | Next
imap_8bit | Up | imap_append